unit untUpdateBoardForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, untOption, untGlobal, IdComponent,
  IdTCPConnection, IdTCPClient, IdHTTP,
  untStreamTool, jconvert, ExtCtrls, untTool;

type
  TUpdateBoardListForm = class(TForm)
    ProgressBar1: TProgressBar;
    Button1: TButton;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  UpdateBoardListForm: TUpdateBoardListForm;

implementation

{$R *.DFM}

procedure TUpdateBoardListForm.Timer1Timer(Sender: TObject);
var
  Http : TIdHttp;
  src  : string;
  proxyitem : TStringArray;
  proxyhost : string;
  proxyport : integer;
begin

  Timer1.Enabled := false;

  // XV
  Http := TIdHttp.Create(nil);

  // proxy
  if gReadProxyUse = true then
    if gReadProxy <> '' then
    begin
      proxyitem := Split(gReadProxy, ':');
      if length(proxyitem) >= 2 then
        proxyport := StrToIntNeo(proxyitem[1])
      else
        proxyport := 8080;
      proxyhost := proxyitem[0];

      Http.ProxyParams.ProxyServer := proxyhost;
      Http.ProxyParams.ProxyPort   := proxyport;
      Http.Request.Pragma := 'no-cache';
    end;


  src  := Http.Get(gBoardListUrl); 
  src  := ConvertJCode(src, SJIS_OUT);
  ProgressBar1.Position := 100;
  Application.ProcessMessages;
  gBoardList.UpdateBoard(src);

  Http.Free;
  Close;
  
end;

end.
